Installing Forge/IC2

  • I have spent the last 2 hours trying to install everything so that I could finally try IndustrialCraft 2. I don't know if its something wrong with my computer or me (probably me) but I just cannot get it to work. I tried following the instructions on the download page of the wiki, but the forge version listed there is no longer available (404 error). I tried downloading different versions of forge, modloaders, etc. Watched youtube videos to see if I could follow step by step, but I couldn't find someone the versions that they had, or they had a different OS so it was a different process. I also tried searching through the forums here and other places.


    I'm giving up for today, I'm tired and frustrated. If someone would be so kind as to give me step by step instructions and links to the versions of things I need to download I would greatly appreciate it.


    I'm running Windows 8.1 64-bit, in case it matters.


    Thank you,
    Teslonelf

  • See, this is what happens when you don't update information people!


    1. Make sure you have already installed Minecraft 1.7.10 and opened the game in this version.
    2. Download the Forge Installer from here: files.minecraft-forge.net. Make sure to get the latest version, not the recommended. This will probably change in the future.
    3. Sinply double click that launcher and it should do the work for you, unless you've set your classpath to something else(which isn't really nessesary)
    4. The launcher should have a new profile called 'Forge'. Load that up, see if it works.
    5. Download IndustrialCraft2 from the from the link above that says 'Jenkins'. Download the file ending in 'experimental.jar', not 'experimental-dev' or 'experimental-api'
    6. Open Run (Windows Key+R) and type in '%appdata%'. Click on '.minecraft'
    7. There should be a folder called 'mods'. Copy the 'experimental.jar' you downloaded earlier into there.
    8. Load the 'Forge' profile in the launcher again. If you have any further problems, just tell me what :)

    Now you see me, now you don't...

    The post was edited 1 time, last by Blockmaster139 ().

  • Thank you so much, Blockmaster, that got me a lot further than any other attempt I made today. However, on step 8, after following all of the other steps, I made sure "Forge" was selected as the profile and clicked "Play" and it gave me an error:


    "Forge Mod Loader has found a problem with your minecraft installation
    The mods and versions listed below could not be found
    Forge: minimum version required is 10.13.0.1200
    The file 'ForgeModLoader-client-0.log' contains more information"


    I can't seem to find the log...
    I'll try installing everything again, I may have downloaded the incorrect forge installer.

  • I grabbed the wrong forge installer, I clicked on recommended instead of latest version, it loaded up just fine, now I just need to learn all the new recipes. Thank you so much!

  • I grabbed the wrong forge installer, I clicked on recommended instead of latest version, it loaded up just fine, now I just need to learn all the new recipes. Thank you so much!


    For learning the new recipes, may I recommend this:
    http://chickenbones.net/Pages/links.html
    Download 'CodeChickenCore' and 'NotEnoughItems' and repeat the same process as last time, just put them in the mods folder.
    When you load the game with these, a big list of items will show up in the side of you inventory, and when you click them, it will show you how to craft them.

    Now you see me, now you don't...

  • hey just wondering do i have to run minecraft in 1.7.10 or can i just run 1.8 and it still works? as all the download links confuse me


    also do i need forge laoder or can i just paste ic2 into the mods folder